# Сайт selfprivacy.org

## Архитектура
* CMS — https://gohugo.io/
* Тема — https://github.com/mitrichius/hugo-theme-anubis
* Графика - https://romannurik.github.io/AndroidAssetStudio/icons-launcher.html
* Проверка орфографии и чистоты текста — https://glvrd.ru/

## Процесс разработки
1. `git clone --recursive gitea@git.selfprivacy.org:SelfPrivacy/selfprivacy.org.git && cd selfprivacy.org`
1. Каментим коммиты на английском (рука не поднимается на русском коммит описывать)
1. Перед коммитом, смотрим на изменения локально: `hugo -D server --disableFastRender`
1. `git push` выкатит сайт на прод

## Деплой CI/CD
Билдится и выкатывается git post-receive хуком на каждый коммит
```sh
#!/bin/sh

#chown root:nginx /var/www/
#chmod -v g+s /var/www/
#mkdir /var/www/from_gitea
#chown gitea /var/www/from_gitea

GIT_REPO=/var/lib/gitea/repositories/selfprivacy/selfprivacy.org.git/
TEMP_DIRECTORY=/tmp/temp
TARGET=/var/www/from_gitea/new
SITE_DIR=/var/www/from_gitea/selfprivacy.org

echo "    /==============================="
echo "     Post receive file active"

echo "     Making temporary directory."
mkdir $TEMP_DIRECTORY

echo "     Pulling into temporary directory."
git clone --recursive $GIT_REPO $TEMP_DIRECTORY

echo "Building new site and removing old."
hugo -D -s $TEMP_DIRECTORY -d $TARGET && rm -rf $SITE_DIR

echo "     Move new to site dir."
mv $TARGET $SITE_DIR

echo "     Removing temporary directory."
rm -rf $TEMP_DIRECTORY

echo "     Checking links."
linkchecker https://selfprivacy.org --check-extern
```

